---
title: '<rb>: The Ruby Base element'
slug: Web/HTML/Element/rb
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - Reference
  - Ruby
  - Text
  - Web
---
<div>{{HTMLRef}}{{Non-standard_Header}}</div>

<p><span class="seoSummary">The <strong>HTML Ruby Base (<code>&lt;rb&gt;</code>) element</strong> is used to delimit the base text component of a  {{HTMLElement("ruby") }} annotation, i.e. the text that is being annotated.</span> One <code>&lt;rb&gt;</code> element should wrap each separate atomic segment of the base text.</p>

<div class="hidden">\{{EmbedInteractiveExample("pages/tabbed/rb.html", "tabbed-standard")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>As a child of a {{htmlelement("ruby")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The end tag can be omitted if the element is immediately followed by an {{HTMLElement("rt")}}, {{HTMLElement("rtc")}}, or {{HTMLElement("rp")}} element or another <code>&lt;rb&gt;</code> element, or if there is no more content in the parent element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("ruby")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>Ruby annotations are for showing pronunciation of East Asian characters, like using Japanese furigana or Taiwanese bopomofo characters. The <code>&lt;rb&gt;</code> element is used to separate out each segment of the ruby base text.</li>
 <li>Even though <code>&lt;rb&gt;</code> is not an empty element, it is common to just include the opening tag of each element in the source code, so that the ruby markup is less complex and easier to read. The browser can then fill in the full element in the rendered version.</li>
 <li>You need to include one {{htmlelement("rt")}} element for each base segment/<code>&lt;rb&gt;</code> element that you want to annotate.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>In this example, we provide an annotation for the original character equivalent of "Kanji":</p>

<pre class="brush: html notranslate">&lt;ruby&gt;
  &lt;rb&gt;漢&lt;rb&gt;字
  &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;kan&lt;rt&gt;ji&lt;rp&gt;)&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<p>Note how we've included two <code>&lt;rb&gt;</code> elements, to delimit the two separate parts of the ruby base text. The annotation on the other hand is delimited by two {{htmlelement("rt")}} elements.</p>

<p>Note that we could also write this example with the two base text parts annotated completely separately. In this case we don't need to include <code>&lt;rb&gt;</code> elements:</p>

<pre class="brush: html notranslate">&lt;ruby&gt;
  漢 &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;Kan&lt;/rt&gt;&lt;rp&gt;)&lt;/rp&gt;
  字 &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;ji&lt;/rt&gt;&lt;rp&gt;)&lt;/rp&gt;
&lt;/ruby&gt;</pre>

<div class="hidden">
<div id="with-ruby">
<pre class="brush: html notranslate">&lt;ruby&gt; &lt;rb&gt;漢&lt;rb&gt;字 &lt;rp&gt;(&lt;/rp&gt;&lt;rt&gt;kan&lt;rt&gt;ji&lt;rp&gt;)&lt;/rp&gt; &lt;/ruby&gt;
</pre>

<pre class="brush: css notranslate">body {
  font-size: 22px;
}</pre>
</div>
</div>

<p>The output looks like so:</p>

<p>{{EmbedLiveSample("with-ruby", "100%", 60)}}</p>

<p>The HTML above might look something like this when rendered by a browser <em>without</em> ruby support:</p>

<div id="without-ruby">
<div class="hidden">
<pre class="brush: html notranslate">漢字 (kan ji)</pre>

<pre class="brush: css notranslate">body {
  font-size: 22px;
}
</pre>
</div>
</div>

<p>{{EmbedLiveSample("without-ruby", "100%", 60)}}</p>

<div class="note">
<p><strong>Note</strong>: See the article about the {{HTMLElement("ruby")}} element for further examples.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-rb-element', '&lt;rb&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.rb")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("ruby")}}</li>
 <li>{{HTMLElement("rt")}}</li>
 <li>{{HTMLElement("rp")}}</li>
 <li>
  <p>{{HTMLElement("rtc")}}</p>
 </li>
</ul>
